Package ru.bitel.bgbilling.kernel.contract.label.common.service

# Interface ContractLabelService

    public interface ContractLabelService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractCountByLabel​(int labelId)` |
  `java.util.List<java.lang.Integer>` | `getContractLabelIds​(int contractId)` |
  `ContractLabelItem` | `getContractLabelTree()` |
  `java.util.List<ContractLabelItem>` | `getContractLabelTreeItemList​(int contractId, boolean calcCount)` |
  `void` | `removeContractLabelTreeItem​(int contractLabelItemId)` |
  `void` | `setContractLabelIds​(int contractId, java.util.List<java.lang.Integer> contractLabelsIds)` |
  `void` | `setContractLabelTreeItemList​(int contractId, java.util.List<ContractLabelItem> items)` |
  `void` | `syncLabelAndGroupContract​(int contractId)` |
  `void` | `syncLabelAndGroupDirectory()` |
  `int` | `updateContractLabelTreeItem​(ContractLabelItem contractLabelItem)` |
  `void` | `updateContractLabelTreeItems​(java.util.List<ContractLabelItem> items)` |

- ## Method Details

  - ### getContractLabelTreeItemList

    java.util.List<ContractLabelItem> getContractLabelTreeItemList​(int contractId, boolean calcCount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractLabelIds

    java.util.List<java.lang.Integer> getContractLabelIds​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setContractLabelIds

    void setContractLabelIds​(int contractId, java.util.List<java.lang.Integer> contractLabelsIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setContractLabelTreeItemList

    void setContractLabelTreeItemList​(int contractId, java.util.List<ContractLabelItem> items) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractLabelTreeItem

    int updateContractLabelTreeItem​(ContractLabelItem contractLabelItem) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractLabelTreeItems

    void updateContractLabelTreeItems​(java.util.List<ContractLabelItem> items) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### removeContractLabelTreeItem

    void removeContractLabelTreeItem​(int contractLabelItemId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractLabelTree

    ContractLabelItem getContractLabelTree() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### syncLabelAndGroupDirectory

    void syncLabelAndGroupDirectory() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### syncLabelAndGroupContract

    void syncLabelAndGroupContract​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractCountByLabel

    int getContractCountByLabel​(int labelId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`